import request from "@/service/index.js";

export const catList = (data) => {
  return request({
    url: "/artwork/cat-list",
    method: "POST",
    data,
  });
};
export const dciArea = (data) => {
  return request({
    url: "/dci/area",
    method: "GET",
    data,
  });
};
export const artworkAdd = (data) => {
  return request({
    url: "/artwork/add",
    method: "POST",
    data,
  });
};
export const artworkDel = (data) => {
  return request({
    url: "/artwork/del",
    method: "DELETE",
    data,
  });
};
export const getChunkList = (data) => {
  return request({
    url: "/artwork/get-chunk-list",
    method: "POST",
    showMsg:false,
    data,
  });
};
export const uploadChunk = (data) => {
  return request({
    url: "/artwork/upload-chunk",
    method: "POST",
    showMsg:false,
    isFormData: true,
    data,
  });
};
export const artworkEdit = (data) => {
  return request({
    url: "/artwork/edit",
    method: "PUT",
    data,
  });
};
export const updateAwComment = (data) => {
  return request({
    url: "/artwork/update-aw-comment",
    method: "POST",
    data,
  });
};
export const thirdPartyDel = (data) => {
  return request({
    url: "/artwork/third-party-del",
    method: "DELETE",
    data,
  });
};
export const thirdPartyEdit = (data) => {
  return request({
    url: "/artwork/third-party-edit",
    method: "PUT",
    data,
  });
};
export const extData = (data) => {
  return request({
    url: "/artwork/ext-data",
    method: "PUT",
    data,
  });
};
export const marketEdit = (data) => {
  return request({
    url: "/artwork/market-edit",
    method: "PUT",
    data,
  });
};
export const marketDel = (data) => {
  return request({
    url: "/artwork/market-del",
    method: "DELETE",
    data,
  });
};
export const updateCopyright = (data) => {
  return request({
    url: "/artwork/update-copyright",
    method: "POST",
    data,
  });
};
export const digiInfo = (data) => {
  return request({
    url: "/artwork/digi-info",
    method: "PUT",
    data,
  });
};
export const artworkTags = (data) => {
  return request({
    url: "/artwork/tags",
    method: "PUT",
    data,
  });
};
export const authData = (data) => {
  return request({
    url: "/artwork/auth-data",
    method: "PUT",
    data,
  });
};
export const shelfNoList = (data) => {
  return request({
    url: "/artwork/shelf-no-list",
    method: "POST",
    data,
  });
};
export const artworkStorage = (data) => {
  return request({
    url: "/artwork/storage",
    method: "PUT",
    data,
  });
};
export const storageDel = (data) => {
  return request({
    url: "/artwork/storage-del",
    method: "DELETE",
    data,
  });
};
export const delContract = (data) => {
  return request({
    url: "/artist/del-contract",
    method: "POST",
    data,
  });
};
export const indexesLog = (data) => {
  return request({
    url: "/artist/indexes-log",
    method: "POST",
    data,
  });
};
export const updateTransferInfo = (data) => {
  return request({
    url: "/artwork/update-transfer-info",
    method: "POST",
    data,
  });
};
export const updateCopyrightInfo = (data) => {
  return request({
    url: "/artwork/update-copyright-info",
    method: "POST",
    data,
  });
};
export const syncAwStorage = (data) => {
  return request({
    url: "/artwork/sync-aw-storage",
    method: "POST",
    data,
  });
};
export const syncAwSigndate = (data) => {
  return request({
    url: "/artwork/sync-aw-signdate",
    method: "POST",
    data,
  });
};
export const createnote = (data) => {
  return request({
    url: "/note/createnote",
    method: "POST",
    data,
  });
};
export const listbyawid = (data) => {
  return request({
    url: "/log/listbyawid",
    method: "POST",
    data,
  });
};
export const talentAgencyList = (data) => {
  return request({
    url: "/artshow/talent-agency/list",
    method: "POST",
    data,
  });
};
export const setBatchPay = (data) => {
  return request({
    url: "/api/paybill/price/batch",
    method: "POST",
    data,
  });
};
export const generateSupplement1 = (data) => {
  return request({
    url: "/artwork/generate-supplement",
    method: "POST",
    data,
  });
};
export const ocrCardInfo = (data) => {
  return request({
    url: "/ocr/card-info",
    isFormData:true,
    method: "POST",
    data,
  });
};
export const updateAwBatch = (data) => {
  return request({
    url: "/artwork/update-aw-batch",
    method: "POST",
    data,
  });
};
